Subject: Re: linux-next: Tree for Jan 30 (build failures)

From: Guenter Roeck <[email-masked]>
Date: Fri, 30 Jan 2015 06:25:20 -0800

On Fri, Jan 30, 2015 at 06:02:09PM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> Changes since 20150129:
> 
> The arm-soc gained conflicts against the arm-current and arm trees.
> 
> The spi tree gained a build failure for which I reverted a commit.
> 
> Non-merge commits (relative to Linus' tree): 6300
>  6348 files changed, 255117 insertions(+), 131620 deletions(-)
> 
> ----------------------------------------------------------------------------

Build failures below. I copied the culprits (including Linus ;-).

Guenter

===
Building arc:defconfig ... failed
Building arc:tb10x_defconfig ... failed
--------------
Error log:
arch/arc/mm/fault.c: In function 'do_page_fault':
arch/arc/mm/fault.c:164: error: 'VM_FAULT_SIGSEV' undeclared

Typo. Caused by 33692f27597f ("vm: add VM_FAULT_SIGSEGV handling support"),
from mainline. I submitted a patch.

===
Building mips:allmodconfig ... failed
--------------
Error log:

fs/built-in.o: In function `dax_fault':
(.text+0x5e284): undefined reference to `copy_user_page'

Caused by 4927b7d77c001 ("dax,ext2: replace the XIP page fault handler with the
DAX page fault handler"). Looks like copy_user_page does not exist in mips.

===
Building sparc64:allmodconfig ... failed
--------------
Error log:
drivers/built-in.o: In function `asm9260_timer_init':
asm9260_timer.c:(.init.text+0x60d4): undefined reference to `of_io_request_and_map'

Caused by e4940cd76934 ("ARM: clocksource: add asm9260_timer driver").
of_io_request_and_map does not exist for the sparc architecture.
Maybe that driver should depend on ARM  or at least on !SPARC ?

===
Building xtensa:allmodconfig ... failed
--------------
Error log:
drivers/gpu/drm/drm_gem_cma_helper.c: In function ‘drm_gem_cma_create’:
drivers/gpu/drm/drm_gem_cma_helper.c:110:2: error: implicit declaration of function ‘dma_alloc_writecombine’
drivers/gpu/drm/drm_gem_cma_helper.c: In function ‘drm_gem_cma_free_object’:
drivers/gpu/drm/drm_gem_cma_helper.c:193:3: error: implicit declaration of function ‘dma_free_writecombine’
drivers/gpu/drm/drm_gem_cma_helper.c: In function ‘drm_gem_cma_mmap_obj’:
drivers/gpu/drm/drm_gem_cma_helper.c:330:2: error: implicit declaration of function ‘dma_mmap_writecombine’

Caused by 1a396789f65a2 ("drm: add Atmel HLCDC Display Controller support").
It selects DRM_KMS_CMA_HELPER which selects DRM_GEM_CMA_HELPER which needs
the missing dma functions. Those are not supported on xtensa (HAVE_DMA_ATTRS
is not set for xtensa). Maybe the controller should depend on HAVE_DMA_ATTRS.